.carousel-button-container {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.btn-whatsapp {
    display: flex;
    align-items: center;
    flex-direction: row; /* Ícone à esquerda do texto */
    justify-content: center;
    padding: 10px 20px;
    background-color: #25D366; /* Sem cor de fundo */
    border: 2px solid #25D366; /* Cor da borda */
    border-radius: 50px; /* Bordas arredondadas */
    color: #ffffff; /* Cor do texto */
    font-family: Arial, sans-serif;
    font-weight: bold;
    font-size: 16px;
    text-decoration: none;
    transition: background-color 0.3s ease, color 0.3s ease;
    max-width: 300px; /* Limita o tamanho do botão */
}

.btn-whatsapp:hover {
    background-color: #25D366;
    color: white; /* Altera a cor do texto e ícone quando o botão é hover */
}

.btn-whatsapp i {
    font-size: 24px; /* Tamanho do ícone do WhatsApp */
    margin-right: 10px; /* Espaço entre o ícone e o texto */
}

.btn-text {
    font-size: 14px; /* Tamanho do texto abaixo do ícone */
}


/* Responsividade */
@media (max-width: 768px) {
    .btn-custom {
        font-size: 16px;
        padding: 8px 16px;
    }
}

@media (max-width: 480px) {
    .btn-custom {
        font-size: 14px;
        padding: 6px 12px;
    }

    .btn-custom i {
        font-size: 20px;
    }
}
